package com.bcxin.tenant.open.domains.services.commands;

import com.bcxin.tenant.open.infrastructures.commands.CommandAbstract;
import lombok.Getter;

import java.util.Collection;

/**
 * 计算通讯日志及联动值信息
 */
@Getter
public class ProcessTencentCallbackLogCommand extends CommandAbstract {
    private final Collection<Long> roomIds;

    public ProcessTencentCallbackLogCommand(Collection<Long> roomIds) {
        this.roomIds = roomIds;
    }


    public static ProcessTencentCallbackLogCommand create(Collection<Long> roomIds) {
        return new ProcessTencentCallbackLogCommand(roomIds);
    }
}
